package com.apobates.forum.utils.lang.stream;

/**
 * The results of forking a stream
 *
 * @author xiaofanku
 */
public interface ForkedStreamResults {
    
    /**
     * Get the completable future encapsulating the result of a fork
     *
     * @param key the memento associated with the fork
     * @param <R> the type of results of the fork
     * @return the completable future encapsulating the result of the fork
     */
    public <R> R get(Object key);
}